DtWsmSetWorkspacesOccupied(library call)

NAME
DtWsmSetWorkspacesOccupied — set the workspaces in which a window resides

SYNOPSIS

#include &<Dt/Wsm.h>
void DtWsmSetWorkspacesOccupied(
Display *display,
Window window,
Atom *paWorkspaces,
int numWs);

DESCRIPTION

The DtWsmSetWorkspacesOccupied function works with the XCDE workspace manager, dtwm(1), and puts a window into a set of workspaces.

The display argument is the X display.

The window argument is the window to be put into this set of workspaces.

The paWorkspaces argument points to a list of workspace names (converted to X atoms); the XCDE workspace manager, dtwm(1), places the window into these workspaces.

The numWs argument is the number of elements in the list of workspaces.

The DtWsmSetWorkspacesOccupied function does not validate the list of requested workspaces. The workspace manager ignores invalid workspaces in the list.

Calling the DtWsmSetWorkspacesOccupied function overrides the effect of the DtWsmOccupyAllWorkspaces function.

RETURN VALUE

The DtWsmSetWorkspacesOccupied function returns no value.

SEE ALSO

dtwm(1), Dt/Wsm.h - DtWsm(5).